Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class DurableInfo

    java.lang.Object
      com.tibco.tibjms.admin.DurableInfo

    public class DurableInfo

extends java.lang.Object

This class represents a durable subscription on the Tibjms server. The durable subscription may be active and receiving messages or it may be dormant, with its messages being stored on the server until it is active again.

Method Summary
`java.lang.String` | `getClientID()` Get the client ID associated with this durable.
`long` | `getConsumerID()` Get the consumer ID associated with this durable.
`long` | `getDeliveredMessageCount()` Get the number of messages that have been delivered to the durable subscription but have not yet been acknowledged.
`java.lang.String` | `getDurableName()` Get the name of this durable.
`long` | `getPendingMessageCount()` Get the total number of messages waiting to be delivered to this durable subscription.
`long` | `getPendingMessageSize()` Get the total size, in bytes, of messages waiting to be delivered to this durable subscription.
`java.lang.String` | `getSelector()` Get the selector that this durable uses.
`java.lang.String` | `getTopicName()` Get the topic name that this durable subscribes to.
`java.lang.String` | `getUserName()` Get the name of the authenticated user whose connection this durable subscriber is currently using.
`boolean` | `isActive()` Deprecated. deprecated in EMS 4.4, use `isConnected()`
`boolean` | `isConnected()` Determine if this durable is connected or dormant.
`boolean` | `isNoLocalEnabled()` Indicates whether or not the durable has opted not to receive "local" messages.
`boolean` | `isStatic()` Determine if this durable is static.
`java.lang.String` | `toString()` Generate a string representation of this DurableInfo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDurableName

    public java.lang.String getDurableName()

  Get the name of this durable.

  Returns:
    the name of this durable.

### getTopicName

    public java.lang.String getTopicName()

  Get the topic name that this durable subscribes to.

  Returns:
    the name of the topic that the durable subsciption is on.

### getClientID

    public java.lang.String getClientID()

  Get the client ID associated with this durable.

  Returns:
    the client ID associated with this durable (can be null).

### getUserName

    public java.lang.String getUserName()

  Get the name of the authenticated user whose connection this durable subscriber is currently using.

  Returns:
    the name of the user using this durable subscription or null if there is no authenticated user or the durable is inactive.

### getConsumerID

    public long getConsumerID()

  Get the consumer ID associated with this durable.

  Returns:
    the consumer ID associated with this durable.

### isActive

    public boolean isActive()

  Deprecated. deprecated in EMS 4.4, use `isConnected()`

  Determine if this durable is connected or dormant. This method has been misnamed and is replaced with `isConnected()`.

  Returns:
    true if the durable is actively connected to the server.

### isConnected

    public boolean isConnected()

  Determine if this durable is connected or dormant.

  Returns:
    true if the durable is connected to the server.
  Since:
    EMS 4.4

### getPendingMessageCount

    public long getPendingMessageCount()

  Get the total number of messages waiting to be delivered to this durable subscription. This also includes the delivered message count.

  Returns:
    the total number of pending messages for this durable subscription.

### getDeliveredMessageCount

    public long getDeliveredMessageCount()

  Get the number of messages that have been delivered to the durable subscription but have not yet been acknowledged.

  Returns:
    the number of messages delivered to this durable subscription.
  Since:
    Version 4.2

### getPendingMessageSize

    public long getPendingMessageSize()

  Get the total size, in bytes, of messages waiting to be delivered to this durable subscription.

  Returns:
    the total size, in bytes, of messages waiting to be delivered to this durable subscription.

### isNoLocalEnabled

    public boolean isNoLocalEnabled()

  Indicates whether or not the durable has opted not to receive "local" messages. Local messages are those that have been sent on an application's own connection.

  Returns:
    true if the noLocal attribute is set, false otherwise.

### getSelector

    public java.lang.String getSelector()

  Get the selector that this durable uses.

  Returns:
    the selector if one is set, null otherwise.

### isStatic

    public boolean isStatic()

  Determine if this durable is static. A durable is static if it is explicitly configured on the server in the durables.conf file.

  Returns:
    true if this durable is static.
  Since:
    Version 4.2

### toString

    public java.lang.String toString()

  Generate a string representation of this DurableInfo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this DurableInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved